> ## Name

> VertexShaderConstant1 - 3D API vertex shader constant1

> ## Usage

> VertexShaderConstant1[i] = float4(f1, f2, f3, f4)

> ## Valid Enumerants

> fi: floating point values

> ## Description

> Set a Direct3D vertex shader constant. See the IDirect3DDevice9::SetVertexShaderConstantF method for details.

> The standard reset callback does nothing.

> ## Opengl Functionality Requirements

> Not applicable.

> ## Direct3D Functionality Requirements

> DirectX 9

> ## See Also

> PixelShaderConstant, PixelShaderConstant1, PixelShaderConstant2, PixelShaderConstant3, PixelShaderConstant4, PixelShaderConstantB, PixelShaderConstantF, PixelShaderConstantI, VertexShaderConstant, VertexShaderConstant2, VertexShaderConstant3, VertexShaderConstantB, VertexShaderConstantF, VertexShaderConstantI, vertexShaderConstant4, FragmentEnvParameter, FragmentLocalParameter, VertexEnvParameter, VertexLocalParameter